Secrets of Toanium - Support #407

Map editor needs to be refactored to use wall helpers
10/16/2025 05:54 PM - Administrator Administrator

Status: Closed Start date: 10/16/2025
Priority: Normal Due date:

Assignee: Jay Gischer % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

For instance, at line 188 in client/pages/dev/maps/mapEditor.js there are several direct references to map.wallsV and map.wallsH.
These should be replaced with references to map.hasVWall and map.hasHWall.

History

#1 - 10/24/2025 09:00 PM - Administrator Administrator

- Assignee changed from Jay Gischer to Frank Fernandez

#2 - 12/03/2025 12:34 AM - Frank Fernandez
- Status changed from New to Resolved

- Assignee changed from Frank Fernandez to Jay Gischer

Also implemented setter functions.

#3 - 12/10/2025 06:41 PM - Administrator Administrator

- Status changed from Resolved to Closed

Pushed with 0.31.0
